kind: pipeline
type: docker
name: build

clone:
  disable: true

steps:
- name: bulid
  image: node:16
  environment:
    SSH_PRIVATE_KEY:
      from_secret: ssh_private_key
  commands:
  - git clone https://git.radner.ru/anatolykopyl/games.anatolykopyl.ru.git
  - cd games.anatolykopyl.ru
  - npm install
  - npm run build
  - mkdir ~/.ssh
  - echo "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
  - chmod 400 ~/.ssh/id_rsa
  - scp -o StrictHostKeyChecking=no -r ./dist/* webmaster@games.anatolykopyl.ru:~/www/games.anatolykopyl.ru
  when:
    branch:
    - master
